JOGL: com.jogamp.newt.opengl.util.NEWTDemoListener Class Reference

JOGL v2.6.0-rc-20250822 JOGL, High-Performance Graphics Binding for Java™ (public API).

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
com.jogamp.newt.opengl.util.NEWTDemoListener Class Reference

NEWT `GLWindow` Demo functionality. More...

Inheritance diagram for com.jogamp.newt.opengl.util.NEWTDemoListener:
Collaboration diagram for com.jogamp.newt.opengl.util.NEWTDemoListener:

## Public Member Functions

| NEWTDemoListener (final GLWindow glWin, final PointerIcon[] pointerIcons)
| Creates a new instance with given pointer icons, which are not used if `null`. More...
| NEWTDemoListener (final GLWindow glWin)
| Creates a new instance with `createPointerIcons(Display)` default pointer icons. More...
void | keyPressed (final KeyEvent e)
| A key has been `pressed`, excluding `auto-repeat` `modifier` keys. More...
void | keyReleased (final KeyEvent e)
| A key has been `released`, excluding `auto-repeat` `modifier` keys. More...
void | setConfinedFixedCenter (final boolean v)
void | mouseMoved (final MouseEvent e)
void | mouseDragged (final MouseEvent e)
void | mouseClicked (final MouseEvent e)
void | mouseEntered (final MouseEvent e)
| Only generated for `PointerType#Mouse`. More...
void | mouseExited (final MouseEvent e)
| Only generated for `PointerType#Mouse`. More...
void | mousePressed (final MouseEvent e)
void | mouseReleased (final MouseEvent e)
void | mouseWheelMoved (final MouseEvent e)
| Traditional event name originally produced by a `mouse` pointer type. More...
void | quitAdapterEnable (final boolean v)
void | clearQuitAdapter ()
boolean | shouldQuit ()
void | doQuit ()
void | windowDestroyNotify (final WindowEvent e)
| Window destruction has been requested. More...
void | setTitle ()
Public Member Functions inherited from com.jogamp.newt.event.WindowAdapter
void | windowResized (final WindowEvent e)
| Window is resized, your application shall respect the new window dimension. More...
void | windowMoved (final WindowEvent e)
| Window has been moved. More...
void | windowDestroyNotify (final WindowEvent e)
| Window destruction has been requested. More...
void | windowDestroyed (final WindowEvent e)
| Window has been destroyed. More...
void | windowGainedFocus (final WindowEvent e)
| Window gained focus. More...
void | windowLostFocus (final WindowEvent e)
| Window lost focus. More...
void | windowRepaint (final WindowUpdateEvent e)
| Window area shall be repainted. More...
void | windowResized (WindowEvent e)
| Window is resized, your application shall respect the new window dimension. More...
void | windowMoved (WindowEvent e)
| Window has been moved. More...
void | windowDestroyNotify (WindowEvent e)
| Window destruction has been requested. More...
void | windowDestroyed (WindowEvent e)
| Window has been destroyed. More...
void | windowGainedFocus (WindowEvent e)
| Window gained focus. More...
void | windowLostFocus (WindowEvent e)
| Window lost focus. More...
void | windowRepaint (WindowUpdateEvent e)
| Window area shall be repainted. More...
void | keyPressed (KeyEvent e)
| A key has been `pressed`, excluding `auto-repeat` `modifier` keys. More...
void | keyReleased (KeyEvent e)
| A key has been `released`, excluding `auto-repeat` `modifier` keys. More...
void | mouseClicked (MouseEvent e)
void | mouseEntered (MouseEvent e)
| Only generated for `PointerType#Mouse`. More...
void | mouseExited (MouseEvent e)
| Only generated for `PointerType#Mouse`. More...
void | mousePressed (MouseEvent e)
void | mouseReleased (MouseEvent e)
void | mouseMoved (MouseEvent e)
void | mouseDragged (MouseEvent e)
void | mouseWheelMoved (MouseEvent e)
| Traditional event name originally produced by a `mouse` pointer type. More...

## Static Public Member Functions

static void | setTitle (final GLWindow win)
static PointerIcon[] | createPointerIcons (final Display disp)

## Protected Member Functions

void | printlnState (final String prelude)
void | printlnState (final String prelude, final String post)
void | quitAdapterOff ()
void | quitAdapterOn ()

## Protected Attributes

final GLWindow | glWindow

## Detailed Description

NEWT `GLWindow` Demo functionality.

- SPACE: Toggle animator `pause`/`resume`
- A: Toggle window `always on top`
- B: Toggle window `always on bottom`
- C: Toggle different `pointer icons`
- D: Toggle window `decoration on/off`
- F: Toggle window `fullscreen on/off`
- Three-Finger Double-Tap: Toggle window `fullscreen on/off`
- G: Increase `gamma` by 0.1, +SHIFT decrease gamma by 0.1
- I: Toggle `pointer visbility`
- J: Toggle `pointer jail (confine to window)`
- M: Toggle `window maximized`: Y, +CTRL off, +SHIFT toggle X+Y, +ALT X
- P: Set window `position to 100/100`
- Q: Quit
- R: Toggle window `resizable`
- S: Toggle window `sticky`
- V: Toggle window `visibility` for 5s
- V: +CTRL: Rotate `swap interval` -1, 0, 1
- W: `Warp pointer` to center of window
- X: Toggle `[ ScalableSurface#IDENTITY_PIXELSCALE`, `ScalableSurface#AUTOMAX_PIXELSCALE`]

Definition at line 83 of file NEWTDemoListener.java.

## Constructor & Destructor Documentation

## ◆ NEWTDemoListener() [1/2]

com.jogamp.newt.opengl.util.NEWTDemoListener.NEWTDemoListener | ( | final GLWindow | glWin,
|  | final PointerIcon[] | pointerIcons
| ) |  |

Creates a new instance with given pointer icons, which are not used if `null`.

Parameters

  glWin | the GLWindow instance to use
  pointerIcons | if `null` don't use multiple pointer icons

Definition at line 97 of file NEWTDemoListener.java.

## ◆ NEWTDemoListener() [2/2]

com.jogamp.newt.opengl.util.NEWTDemoListener.NEWTDemoListener | ( | final GLWindow | glWin | ) |

Creates a new instance with `createPointerIcons(Display)` default pointer icons.

Parameters

  glWin | the GLWindow instance to use

Definition at line 105 of file NEWTDemoListener.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ clearQuitAdapter()

void com.jogamp.newt.opengl.util.NEWTDemoListener.clearQuitAdapter | ( |  | ) |

Definition at line 456 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ createPointerIcons()

static PointerIcon[] com.jogamp.newt.opengl.util.NEWTDemoListener.createPointerIcons | ( | final Display | disp | ) |

static

Definition at line 490 of file NEWTDemoListener.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ doQuit()

void com.jogamp.newt.opengl.util.NEWTDemoListener.doQuit | ( |  | ) |

Definition at line 458 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ keyPressed()

void com.jogamp.newt.opengl.util.NEWTDemoListener.keyPressed | ( | final KeyEvent | e | ) |

A key has been `pressed`, excluding `auto-repeat` `modifier` keys.

See `KeyEvent`.

Implements com.jogamp.newt.event.KeyListener.

Reimplemented in com.jogamp.opengl.test.junit.newt.parenting.NewtJFXReparentingKeyAdapter, and com.jogamp.opengl.test.junit.newt.parenting.NewtReparentingKeyAdapter.

Definition at line 117 of file NEWTDemoListener.java.

## ◆ keyReleased()

void com.jogamp.newt.opengl.util.NEWTDemoListener.keyReleased | ( | final KeyEvent | e | ) |

A key has been `released`, excluding `auto-repeat` `modifier` keys.

See `KeyEvent`.

To simulated the removed `keyTyped(KeyEvent e)` semantics, simply apply the following constraints upfront and bail out if not matched, i.e.:

     if( !e.isPrintableKey() || e.isAutoRepeat() ) {
         return;
     }

Implements com.jogamp.newt.event.KeyListener.

Definition at line 400 of file NEWTDemoListener.java.

## ◆ mouseClicked()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseClicked | ( | final MouseEvent | e | ) |

Implements com.jogamp.newt.event.MouseListener.

Definition at line 418 of file NEWTDemoListener.java.

Here is the call graph for this function:

## ◆ mouseDragged()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseDragged | ( | final MouseEvent | e | ) |

Implements com.jogamp.newt.event.MouseListener.

Definition at line 412 of file NEWTDemoListener.java.

Here is the call graph for this function:

## ◆ mouseEntered()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseEntered | ( | final MouseEvent | e | ) |

Only generated for `PointerType#Mouse`.

Implements com.jogamp.newt.event.MouseListener.

Definition at line 432 of file NEWTDemoListener.java.

## ◆ mouseExited()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseExited | ( | final MouseEvent | e | ) |

Only generated for `PointerType#Mouse`.

Implements com.jogamp.newt.event.MouseListener.

Definition at line 434 of file NEWTDemoListener.java.

## ◆ mouseMoved()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseMoved | ( | final MouseEvent | e | ) |

Implements com.jogamp.newt.event.MouseListener.

Definition at line 406 of file NEWTDemoListener.java.

Here is the call graph for this function:

## ◆ mousePressed()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mousePressed | ( | final MouseEvent | e | ) |

Implements com.jogamp.newt.event.MouseListener.

Definition at line 436 of file NEWTDemoListener.java.

## ◆ mouseReleased()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseReleased | ( | final MouseEvent | e | ) |

Implements com.jogamp.newt.event.MouseListener.

Definition at line 438 of file NEWTDemoListener.java.

## ◆ mouseWheelMoved()

void com.jogamp.newt.opengl.util.NEWTDemoListener.mouseWheelMoved | ( | final MouseEvent | e | ) |

Traditional event name originally produced by a `mouse` pointer type.

Triggered for any rotational pointer events, see `MouseEvent#getRotation()` and `MouseEvent#getRotationScale()`.

Implements com.jogamp.newt.event.MouseListener.

Definition at line 440 of file NEWTDemoListener.java.

## ◆ printlnState() [1/2]

void com.jogamp.newt.opengl.util.NEWTDemoListener.printlnState | ( | final String | prelude | ) |

protected

Definition at line 109 of file NEWTDemoListener.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ printlnState() [2/2]

void com.jogamp.newt.opengl.util.NEWTDemoListener.printlnState | ( | final String | prelude,
|  | final String | post
| ) |  |

protected

Definition at line 112 of file NEWTDemoListener.java.

Here is the call graph for this function:

## ◆ quitAdapterEnable()

void com.jogamp.newt.opengl.util.NEWTDemoListener.quitAdapterEnable | ( | final boolean | v | ) |

Definition at line 455 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ quitAdapterOff()

void com.jogamp.newt.opengl.util.NEWTDemoListener.quitAdapterOff | ( |  | ) |

protected

Definition at line 448 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ quitAdapterOn()

void com.jogamp.newt.opengl.util.NEWTDemoListener.quitAdapterOn | ( |  | ) |

protected

Definition at line 451 of file NEWTDemoListener.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setConfinedFixedCenter()

void com.jogamp.newt.opengl.util.NEWTDemoListener.setConfinedFixedCenter | ( | final boolean | v | ) |

Definition at line 402 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ setTitle() [1/2]

void com.jogamp.newt.opengl.util.NEWTDemoListener.setTitle | ( |  | ) |

Reimplemented in com.jogamp.opengl.test.junit.newt.parenting.NewtAWTReparentingKeyAdapter, com.jogamp.opengl.test.junit.newt.parenting.NewtJFXReparentingKeyAdapter, and com.jogamp.opengl.test.junit.newt.parenting.NewtReparentingKeyAdapter.

Definition at line 470 of file NEWTDemoListener.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ setTitle() [2/2]

static void com.jogamp.newt.opengl.util.NEWTDemoListener.setTitle | ( | final GLWindow | win | ) |

static

Definition at line 473 of file NEWTDemoListener.java.

Here is the call graph for this function:

## ◆ shouldQuit()

boolean com.jogamp.newt.opengl.util.NEWTDemoListener.shouldQuit | ( |  | ) |

Definition at line 457 of file NEWTDemoListener.java.

Here is the caller graph for this function:

## ◆ windowDestroyNotify()

void com.jogamp.newt.opengl.util.NEWTDemoListener.windowDestroyNotify | ( | final WindowEvent | e | ) |

Window destruction has been requested.

Depending on the `default close operation`, the window maybe destroyed or not.

In case the window will be destroyed (see above), release of resources is recommended.

Reimplemented from com.jogamp.newt.event.WindowAdapter.

Definition at line 461 of file NEWTDemoListener.java.

## Member Data Documentation

## ◆ glWindow

final GLWindow com.jogamp.newt.opengl.util.NEWTDemoListener.glWindow

protected

Definition at line 84 of file NEWTDemoListener.java.

The documentation for this class was generated from the following file:

- src/newt/classes/com/jogamp/newt/opengl/util/NEWTDemoListener.java